%global commit0      b233050792cc5fa54ba1da257706ca2b5ef3c987
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Summary:            Fibre Channel over Ethernet utilities
Name:               fcoe-utils
Version:            1.0.34
Release:            3.git%{shortcommit0}%{?dist}
License:            GPLv2
URL:                http://www.open-fcoe.org
Source0:            https://github.com/openSUSE/fcoe-utils/archive/%{commit0}.tar.gz#/%{name}-%{version}-%{shortcommit0}.tar.gz

Patch3000: 0001-fcoemon-add-snprintf-string-precision-modifiers-in-f.patch

BuildRequires:      autoconf automake libtool make
BuildRequires:      libpciaccess-devel lldpad-devel >= 0.9.43 systemd
Requires:           lldpad >= 0.9.43
Requires:           iproute
Requires:           device-mapper-multipath
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd



%description
The FCoE Management Tools included in this package are:

 fcoeadm - program to create, reset, destroy, and display FCoE interfaces
 fcoemon - program to monitor the events from the DCB daemon




%prep
%autosetup -p1 -n fcoe-utils-%{commit0}

sed -i 's/^\(SUPPORTED_DRIVERS\)=".*"$/\1="bnx2fc qedf"/' etc/config
sed -i 's/^\(DCB_REQUIRED\)=".*"$/\1="no"/' etc/cfg-ethx



%build
./bootstrap.sh
%configure --with-systemdsystemunitdir=%{_unitdir}
%make_build



%install
%make_install
rm -rf %{buildroot}/etc/init.d
mkdir -p %{buildroot}%{_libexecdir}/fcoe
install -m755 contrib/*.sh %{buildroot}%{_libexecdir}/fcoe/
install -m755 debug/*sh %{buildroot}%{_libexecdir}/fcoe/


%post
%systemd_post fcoe.service fcoemon.socket


%preun
%systemd_preun fcoe.service fcoemon.socket


%postun
%systemd_postun_with_restart fcoe.service fcoemon.socket



%files
%license COPYING
%doc README QUICKSTART
%{_sbindir}/*
%{_unitdir}/fcoe.service
%{_unitdir}/fcoemon.socket
%{_sysconfdir}/fcoe/
%config(noreplace) %{_sysconfdir}/fcoe/cfg-ethx
%config(noreplace) %{_sysconfdir}/fcoe/config
%{_datadir}/bash-completion/completions/*
%{_libexecdir}/fcoe/
%{_mandir}/man8/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.34-3.gitb233050
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.34-2.gitb233050
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 cunshunxia <cunshunxia@tencent.com> - 1.0.34-1
- initial build
